Subject: Re: ncurses 4.1
From: [email-masked] (Geoffrey Noer)

1 Mar 1998 16:22:22 -0800
Message-ID: <[email-masked]>
References: <000101bd4526$9d85b020$50b2ab98@jewell>
Content-Type: text
To: [email-masked] (Morph)
Cc: [email-masked]

Morph wrote:
[...]
> I then ran 'sh make', and this appeared to be going through OK (although it
> takes an awfully long time to run through the script), and on the 3rd or 4th
> ranlib I got the following output, at which point it stopped.
> 
> a - ../obj_g/m_req_name.o
> a - ../obj_g/m_spacing.o
> a - ../obj_g/m_userptr.o
> a - ../obj_g/m_win.o
> a - ../obj_g/m_adabind.o
> ranlib ../lib/libmenu_g.a
> make: *** wait: Invalid argument.  Stop.

This is only a problem under Win 95.  I do not yet understand the
cause of it.  With B19, I was actually able to rebuild the comp tools
sources under Win 95 (for the first time), but the make would stop as
shown above at a seemingly random point.  Restarting the build, it
would make it farther and then die in the same way.  Doing this three
or four times, the make finally completed successfully.

So the workaround is, run make repeatedly until the compile succeeds.
Or, better yet, run Windows NT.  :-)

If anyone finds a cause or solution, please let me know!

-- 
Geoffrey Noer
[email-masked]
-
For help on using this list (especially unsubscribing), send a message to
"[email-masked]" with one line of text: "help".